From 5b36d30be59ce9888ec731b777e0ba493d7044e2 Mon Sep 17 00:00:00 2001
From: Cyril Brulebois <kibi@mraw.org>
Date: Sun, 14 Jul 2019 04:06:06 +0200
Subject: [PATCH] [bp] Allow TYPE_LIFE_INSURANCE to call get_history() for
 retirement_hist.
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Solésio Vie is a type of life insurance plan and can show up through
RetirementHistory pages. Call get_history() in this case, in addition
to the TYPE_PREP case.
---
 modules/bp/browser.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/modules/bp/browser.py b/modules/bp/browser.py
index 18ddbeeb8..cf1f77103 100644
--- a/modules/bp/browser.py
+++ b/modules/bp/browser.py
@@ -346,7 +346,7 @@ class BPBrowser(LoginBrowser, StatesMixin):
             if hasattr(self.page, 'iter_transactions') and self.page.has_transactions():
                 return self.page.iter_transactions()
 
-            elif account.type == Account.TYPE_PERP and self.retirement_hist.is_here():
+            elif account.type in [Account.TYPE_PERP, Account.TYPE_LIFE_INSURANCE] and self.retirement_hist.is_here():
                 return self.page.get_history()
 
             return []
-- 
2.11.0

